import { $get, $post } from "@/plugins/axios";

export const cardConfigInfos = () => {
  return $get("/api/print/basic/cardRule/selectBySchoolId", {});
  // return Promise.resolve({
  //   missAndFill: true,
  //   writeSign: true,
  //   examNumberStyle: "auto", // auto:自动条码, empty:手动条码, fill:手动涂填
  //   aOrBSystem: true, // 后台附带的aOrB设置，如果有则使用这个值，如果没有则前台自动设置
  //   aOrBType: "auto", // fill:手动涂填,auto:自动条码
  //   schoolName: "河南财经政法大学",
  //   businessParams: [
  //     {
  //       name: "学号",
  //       field: "studentNo"
  //     },
  //     {
  //       name: "姓名",
  //       field: "username"
  //     },
  //     {
  //       name: "科目名称",
  //       field: "courseName"
  //     },
  //     {
  //       name: "课程名称",
  //       field: "subjectName"
  //     }
  //   ],
  //   noticeHead: [
  //     "答题前，请考生认真核对姓名、学号、教学班号、课程名称等信息，确认无误后签名。",
  //     "客观题部分必须使用2B铅笔填涂，主观题部分请使用黑色签字笔写在指定的答题区内。",
  //     "保持卡面清洁，不破损。"
  //   ],
  //   objectiveNotice:
  //     "注意：必须使用2B铅笔填涂；在答题区内作答，超出涂填边框限定区域的答案无效。",
  //   subjectiveNotice:
  //     "注意：必须使用黑色字迹签字笔书写；在答题区内作答，超出以下黑色矩形边框限定区域的答案无效。"
  // });
};
export const cardDetailEdit = cardId => {
  return $get("/api/print/card/card/detailEdit", { cardId });
};
export const cardTempDetail = cardId => {
  return $get("/api/print/card/card/preView", { cardId });
};
export const saveCard = datas => {
  return $post("/api/print/card/card/add", datas);
};
export const submitCard = datas => {
  return $post("/api/print/card/submit", datas);
};

export const cardStudentInfo = ({ cardId, studentNo }) => {
  return $get("/backend/sysuser/resetPwd", { cardId, studentNo });
};
