import WaitTask from "./views/WaitTask.vue";
import WaitTaskDetail from "./views/WaitTaskDetail.vue";
import CardAudit from "./views/CardAudit.vue";
import PrintManage from "./views/PrintManage.vue";
import DoneTask from "./views/DoneTask.vue";
import DoneTaskDetail from "./views/DoneTaskDetail.vue";
import ExamManage from "./views/ExamManage.vue";
import ExamModify from "./views/ExamModify.vue";
import ExamRomeDetail from "./views/ExamRomeDetail.vue";
import ExamRomeStudentDetail from "./views/ExamRomeStudentDetail.vue";
import CardManage from "./views/CardManage.vue";

export default [
  {
    path: "/exam-center/done-task",
    name: "DoneTask",
    component: DoneTask
  },
  {
    path: "/exam-center/done-task-detail/:taskId",
    name: "DoneTaskDetail",
    component: DoneTaskDetail,
    meta: {
      relate: "DoneTask/DoneTaskDetail"
    }
  },
  {
    path: "/exam-center/print-manage",
    name: "PrintManage",
    component: PrintManage
  },
  {
    path: "/exam-center/exam-manage",
    name: "ExamManage",
    component: ExamManage
  },
  {
    path: "/exam-center/exam-add",
    name: "ExamAdd",
    component: ExamModify,
    meta: {
      relate: "ExamManage/ExamAdd"
    }
  },
  {
    path: "/exam-center/exam-edit/:examId",
    name: "ExamEdit",
    component: ExamModify,
    meta: {
      relate: "ExamManage/ExamEdit"
    }
  },
  {
    path: "/exam-center/exam-room-detail/:examId?",
    name: "ExamRomeDetail",
    component: ExamRomeDetail,
    meta: {
      relate: "ExamManage/ExamRomeDetail"
    }
  },
  {
    path: "/exam-center/exam-room-student-detail/:examRoomInfo?",
    name: "ExamRomeStudentDetail",
    component: ExamRomeStudentDetail,
    meta: {
      relate: "ExamManage/ExamRomeDetail/ExamRomeStudentDetail"
    }
  },
  {
    path: "/exam-center/card-manage",
    name: "CardManage",
    component: CardManage
  },
  {
    path: "/exam-center/card-audit",
    name: "CardAudit",
    component: CardAudit
  },
  {
    path: "/exam-center/wait-task",
    name: "WaitTask",
    component: WaitTask
  },
  {
    path: "/exam-center/wait-task-detail/:taskId",
    name: "WaitTaskDetail",
    component: WaitTaskDetail,
    meta: {
      relate: "WaitTask/WaitTaskDetail"
    }
  }
];
