// 启用/禁用
export const ABLE_TYPE = {
  0: "禁用",
  1: "启用"
};

// 性别
export const GENDER_TYPE = {
  MALE: "男",
  FEMALE: "女"
};
// 打印状态
export const PRINT_STATUS = {
  0: "未打印",
  1: "已打印"
};
// 撤回状态
export const REVOKE_STATUS = {
  0: "未撤回",
  1: "已撤回"
};
// 审核状态
export const AUDITING_STATUS = {
  0: "未审核",
  1: "已审核"
};

export const CARD_BUSINESS_FIELDS = {
  must: [
    {
      name: "学号",
      code: "studentCode"
    },
    {
      name: "姓名",
      code: "name"
    },
    {
      name: "科目名称",
      code: "courseName"
    }
  ],
  extend: [
    {
      name: "教学班号",
      code: "classNo"
    },
    {
      name: "考场",
      code: "examRoom"
    }
  ]
};

export const RESERVE_TYPE = {
  0: "考试任务备用方式",
  1: "考场备用方式"
};

export const CARD_SOURCE_TYPE = {
  0: "选择已有答题卡",
  1: "自助创建",
  2: "申请客服制卡"
};

export const EXAM_NUMBER_STYLE = {
  0: "印刷条码",
  1: "粘贴条码",
  2: "卡号填涂"
};

export const PAPER_TYPE = {
  0: "印刷",
  1: "填涂"
};

export const MENU_ROUTER_DICT = {
  basic: "base",
  userManager: "UserManage",
  ruleManager: "RuleManage",
  exam: "exam-center",
  todoTaskManager: "WaitTask",
  doneTaskManager: "DoneTask",
  examManager: "ExamManage",
  cardManager: "CardManage",
  printManager: "PrintManage",
  cardAuditingManager: "CardAudit"
};
