const navs = [
  {
    title: "考试中心",
    router: "exam-center",
    children: [
      {
        title: "待办任务",
        router: "WaitTask",
        children: [
          {
            title: "任务详情",
            router: "WaitTaskDetail"
          }
        ]
      },
      {
        title: "已办任务",
        router: "DoneTask",
        children: [
          {
            title: "任务详情",
            router: "DoneTaskDetail"
          }
        ]
      },
      {
        title: "考试管理",
        router: "ExamManage",
        children: [
          {
            title: "考场详情",
            router: "ExamRomeDetail"
          },
          {
            title: "考生详情",
            router: "ExamRomeStudentDetail"
          },
          {
            title: "新增考试",
            router: "ExamAdd"
          },
          {
            title: "编辑考试",
            router: "ExamEdit"
          }
        ]
      },
      {
        title: "题卡管理",
        router: "CardManage",
        children: [
          {
            title: "题卡编辑",
            router: "CardDesign"
          },
          {
            title: "题卡预览",
            router: "CardPreview"
          }
        ]
      },
      {
        title: "印刷管理",
        router: "PrintManage"
      },
      {
        title: "题卡审核",
        router: "CardAudit"
      }
    ]
  },
  {
    title: "成绩报表",
    router: "score-paper",
    children: [
      {
        title: "班级报表",
        router: "ClassPaper"
      }
    ]
  },
  {
    title: "教研分析",
    router: "analyze",
    children: [
      {
        title: "分数分析",
        router: "ScoreAnalyze"
      }
    ]
  },
  {
    title: "基础配置",
    router: "base",
    children: [
      {
        title: "用户管理",
        router: "UserManage",
        children: [
          {
            title: "修改",
            router: "UserEdit"
          }
        ]
      },
      {
        title: "规则管理",
        router: "RuleManage"
      }
    ]
  }
];

export default navs;
