import RuleManage from "./views/RuleManage.vue";
import UserManage from "./views/UserManage.vue";
import UserEdit from "./views/UserEdit.vue";
import PswdManage from "./views/PswdManage.vue";

export default [
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/user-edit/:userId",
    name: "UserEdit",
    component: UserEdit,
    meta: {
      relate: "UserManage/UserEdit"
    }
  },
  {
    path: "/base/pswd-manage",
    name: "PswdManage",
    component: PswdManage
  },
  {
    path: "/base/rule-manage",
    name: "RuleManage",
    component: RuleManage
  }
];
